最新消息:20190717 VPS服务器:Vultr新加坡,WordPress主题:大前端D8,统一介绍入口:关于

[已解决]Xcode编译程序出现PluginLoading: Required plug-in compatibility UUID for plug-in at path WCGitTagsPlugin.xcplugin not present in DVTPlugInCompatibilityUUIDs

Xcode crifan 1146浏览 0评论

之前遇到多次类似问题了

后来去用carthage去编译库,也出现同样问题:

*** Building scheme “Alamofire iOS” in Alamofire.xcworkspace

2016-05-18 19:45:33.061 xcodebuild[2435:88642] [MT] PluginLoading: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for plug-in at path ‘~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/WCGitTagsPlugin.xcplugin’ not present in DVTPlugInCompatibilityUUIDs
2016-05-18 19:46:02.538 xcodebuild[2555:89822] [MT] PluginLoading: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for plug-in at path ‘~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/WCGitTagsPlugin.xcplugin’ not present in DVTPlugInCompatibilityUUIDs

搜:

PluginLoading: Required plug-in compatibility UUID for plug-in at path

Xcode升级后插件失效的原理与修复办法 | 传人的技术博客

 iphone – Xcode 5 – Required plug-in not present in DVTPlugInCompatibilityUUIDs? – Stack Overflow

xcode5.1 – The plugin didn’t work on xcode 5.1 – Stack Overflow

licrifandeMacBook-Pro:~ crifan$ defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C

licrifandeMacBook-Pro:~ crifan$ XCODEUUID=`defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID`
licrifandeMacBook-Pro:~ crifan$ for f in ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins/*; do defaults write “$f/Contents/Info” DVTPlugInCompatibilityUUIDs -array-add $XCODEUUID; done

然后就解决问题了。

-》再去编译,就没了上面的警告了:

<code>*** Building scheme "Alamofire OSX" in Alamofire.xcworkspace
*** Building scheme "Alamofire tvOS" in Alamofire.xcworkspace
*** Building scheme "Alamofire iOS" in Alamofire.xcworkspace
</code>

另外,参考:

Xcode 5.0 Beta 3 · Issue #23 · benoitsan/BBUncrustifyPlugin-Xcode

用:

XCODEUUID=`defaults read /Applications/Xcode5-DP3.app/Contents/Info DVTPlugInCompatibilityUUID`
defaults write ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins/UncrustifyPlugin.xcplugin/Contents/Info  DVTPlugInCompatibilityUUIDs -array-add $XCODEUUID

估计也可以。

注:

其中的

ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C

Xcode (当前版本)7.3的UUID 

可以通过:

defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

获得。

转载请注明:在路上 » [已解决]Xcode编译程序出现PluginLoading: Required plug-in compatibility UUID for plug-in at path WCGitTagsPlugin.xcplugin not present in DVTPlugInCompatibilityUUIDs

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
59 queries in 0.120 seconds, using 19.27MB memory